libstdc++: __gnu_cxx::__detail::__mini_vector< _Tp > Class Template Reference

libstdc++

__gnu_cxx::__detail::__mini_vector< _Tp > Class Template Reference

`#include <bitmap_allocator.h>`

## Public Types
typedef const _Tp & | const_reference
typedef std::ptrdiff_t | difference_type
typedef pointer | iterator
typedef _Tp * | pointer
typedef _Tp & | reference
typedef std::size_t | size_type
typedef _Tp | value_type

## Public Member Functions
reference | back () const throw ()
iterator | begin () const throw ()
void | clear () throw ()
iterator | end () const throw ()
void | erase (iterator __pos) throw ()
void | insert (iterator __pos, const_reference __x)
reference | operator[] (const size_type __pos) const throw ()
void | pop_back () throw ()
void | push_back (const_reference __x)
size_type | size () const throw ()

## Detailed Description

template<typename _Tp>
class __gnu_cxx::__detail::__mini_vector< _Tp >

__mini_vector<> is a stripped down version of the full-fledged std::vector<>.

It is to be used only for built-in types or PODs. Notable differences are:

1. Not all accessor functions are present.
2. Used ONLY for PODs.
3. No Allocator template argument. Uses operator new() to get memory, and operator delete() to free it. Caveat: The dtor does NOT free the memory allocated, so this a memory-leaking vector!

Definition at line 69 of file bitmap_allocator.h.

## Member Typedef Documentation

## ◆ const_reference

template<typename _Tp>

typedef const _Tp& __gnu_cxx::__detail::__mini_vector< _Tp >::const_reference

Definition at line 78 of file bitmap_allocator.h.

## ◆ difference_type

template<typename _Tp>

typedef std::ptrdiff_t __gnu_cxx::__detail::__mini_vector< _Tp >::difference_type

Definition at line 80 of file bitmap_allocator.h.

## ◆ iterator

template<typename _Tp>

typedef pointer __gnu_cxx::__detail::__mini_vector< _Tp >::iterator

Definition at line 81 of file bitmap_allocator.h.

## ◆ pointer

template<typename _Tp>

typedef _Tp* __gnu_cxx::__detail::__mini_vector< _Tp >::pointer

Definition at line 76 of file bitmap_allocator.h.

## ◆ reference

template<typename _Tp>

typedef _Tp& __gnu_cxx::__detail::__mini_vector< _Tp >::reference

Definition at line 77 of file bitmap_allocator.h.

## ◆ size_type

template<typename _Tp>

typedef std::size_t __gnu_cxx::__detail::__mini_vector< _Tp >::size_type

Definition at line 79 of file bitmap_allocator.h.

## ◆ value_type

template<typename _Tp>

typedef _Tp __gnu_cxx::__detail::__mini_vector< _Tp >::value_type

Definition at line 75 of file bitmap_allocator.h.

## Constructor & Destructor Documentation

## ◆ __mini_vector()

template<typename _Tp>

__gnu_cxx::__detail::__mini_vector< _Tp >::__mini_vector | ( |  | ) |
| inline

Definition at line 105 of file bitmap_allocator.h.

## Member Function Documentation

## ◆ back()

template<typename _Tp>

reference __gnu_cxx::__detail::__mini_vector< _Tp >::back | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 121 of file bitmap_allocator.h.

## ◆ begin()

template<typename _Tp>

iterator __gnu_cxx::__detail::__mini_vector< _Tp >::begin | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 113 of file bitmap_allocator.h.

## ◆ clear()

template<typename _Tp>

void __gnu_cxx::__detail::__mini_vector< _Tp >::clear | ( |  | ) |
throw | ( | ) |  |  |
| inline

Definition at line 151 of file bitmap_allocator.h.

## ◆ end()

template<typename _Tp>

iterator __gnu_cxx::__detail::__mini_vector< _Tp >::end | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 117 of file bitmap_allocator.h.

## ◆ erase()

template<typename _Tp>

void __gnu_cxx::__detail::__mini_vector< _Tp >::erase | ( | iterator | __pos | ) |
throw | ( | ) |  |  |

Definition at line 202 of file bitmap_allocator.h.

## ◆ insert()

template<typename _Tp>

void __gnu_cxx::__detail::__mini_vector< _Tp >::insert | ( | iterator | __pos,
|  | const_reference | __x )

Definition at line 157 of file bitmap_allocator.h.

## ◆ operator[]()

template<typename _Tp>

reference __gnu_cxx::__detail::__mini_vector< _Tp >::operator[] | ( | const size_type | __pos | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 125 of file bitmap_allocator.h.

## ◆ pop_back()

template<typename _Tp>

void __gnu_cxx::__detail::__mini_vector< _Tp >::pop_back | ( |  | ) |
throw | ( | ) |  |  |
| inline

Definition at line 144 of file bitmap_allocator.h.

## ◆ push_back()

template<typename _Tp>

void __gnu_cxx::__detail::__mini_vector< _Tp >::push_back | ( | const_reference | __x | ) |
| inline

Definition at line 132 of file bitmap_allocator.h.

## ◆ size()

template<typename _Tp>

size_type __gnu_cxx::__detail::__mini_vector< _Tp >::size | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 109 of file bitmap_allocator.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h